import javax.swing.*;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import javax.swing.filechooser.FileFilter;
import java.awt.CardLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

class SlideshowDialog extends JDialog {
    private JCheckBox recursive, autorun;
    public SlideshowDialog() {
	setSize(400, 240);
	getContentPane().setLayout(new CardLayout());
	JPanel panel1 = new JPanel();
	getContentPane().add(panel1, "p1");
	addWindowListener(new WindowAdapter() {
		public void windowActivated(WindowEvent e) {}
		public void windowClosed(WindowEvent e){}
		public void windowClosing(WindowEvent e) {   
		    System.exit(0);
		}
		public void windowDeactivated(WindowEvent e) {}
		public void windowDeiconified(WindowEvent e) {}
		public void windowIconified(WindowEvent e) {}
		public void windowOpened(WindowEvent e) {}
	    });
	setTitle("SlideShowWriter");
	panel1.add(recursive = new JCheckBox("Recursive", true));
	panel1.add(autorun = new JCheckBox("AUTORUN.INF", true));
	JPanel panel10 = new JPanel();
	panel1.add(panel10);
	JLabel label = new JLabel("Output File Name");
	panel10.add(label);
	nameField = new JTextField("slideshow.html");
	panel10.add(nameField);
	label = new JLabel("Title");
	panel10.add(label);
	titleField = new JTextField("Slide Show");
	panel10.add(titleField);
	JPanel panel11 = new JPanel();
	panel1.add(panel11);
	label = new JLabel("Directory");
	panel11.add(label);
	dirField = new JTextField(System.getProperty("user.dir"));
	JButton button = new JButton("Reference");
	panel11.add(dirField);
	panel11.add(button);
	button.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    JFileChooser chooser = new JFileChooser(dirField.getText());
		    chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
		    int returnVal = chooser.showOpenDialog(SlideshowDialog.this);
		    if(returnVal == JFileChooser.APPROVE_OPTION) {
			dirField.setText(chooser.getSelectedFile().toString());
		    }
		}
	    });
	button = new JButton("Create");
	panel1.add(button);
	button.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    File dir = new File(dirField.getText());
		    try {
			writer.write(dir, nameField.getText(),
				     titleField.getText(),
				     recursive.isSelected());
			if (autorun.isSelected()) {
			    FileWriter fwriter =
				new FileWriter(new File(dir, "AUTORUN.INF"));
			    fwriter.write("[autorun]\r\nopen=start " +
					  nameField.getText() + "\r\n");
			    fwriter.close();
			}
		    } catch (IOException ex) {
			ex.printStackTrace();
		    }
		}
	    });
    }
    private SlideshowWriter writer = new SlideshowWriter();
    private JTextField nameField, titleField, dirField;
    public static void main(String args[]) throws IOException {
	SlideshowDialog dialog = new SlideshowDialog();
	dialog.show();
    }
}
